com.intellectualcrafters.plot.util

## Class ReflectionUtils.RefConstructor

- java.lang.Object
- - com.intellectualcrafters.plot.util.ReflectionUtils.RefConstructor

- Enclosing class:
    ReflectionUtils

      public static class ReflectionUtils.RefConstructor
      extends java.lang.Object

  Constructor wrapper

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `create(java.lang.Object... params)` create new instance with constructor
    `java.lang.reflect.Constructor` | `getRealConstructor()`
    `ReflectionUtils.RefClass` | `getRefClass()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getRealConstructor

          public java.lang.reflect.Constructor getRealConstructor()

      Returns:
        passed constructor

    - #### getRefClass

          public ReflectionUtils.RefClass getRefClass()

      Returns:
        owner class of method

    - #### create

          public java.lang.Object create(java.lang.Object... params)

      create new instance with constructor
      Parameters:
        `params` - parameters for constructor
      Returns:
        new object
      Throws:
        `java.lang.RuntimeException` - if something went wrong